#include "Microgate/Mgp/OpCode.h"

#include <vector>

namespace Basda { namespace Microgate {

bool isWriteOpCode(OpCode opcode)
{
    return opcode == MGP_OP_WRSAME_DSP ||
           opcode == MGP_OP_RESET_DEVICES ||
           opcode == MGP_OP_WRSAME_SRAM ||
           opcode == MGP_OP_WRSAME_SDRAM ||
           opcode == MGP_OP_WRITE_CCDI ||
           opcode == MGP_OP_WR_SCIMEASURE_RAM ||
           opcode == MGP_OP_WR_DMXINETICS_RAM;
}

bool isReadOpCode(OpCode opcode)
{
    return opcode == MGP_OP_RDSEQ_DSP ||
           opcode == MGP_OP_RDSEQ_SDRAM ||
           opcode == MGP_OP_READ_CCDI ||
           opcode == MGP_OP_RDSEQ_SRAM;
}

}
}
